package example;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionListener;

public class ImagePad extends JFrame {
    ImageListener imageListener = new ImageListener();

    String[] btnArr = new String[]{"加载图片", "开始匹配"};

    public void addButton(JFrame jf, ActionListener al) {
        Dimension dimension = new Dimension(120, 40);
        for (String s : btnArr) {
            JButton btn = new JButton(s);
            btn.setBackground(Color.WHITE);
            btn.setPreferredSize(dimension);
            btn.addActionListener(al);
            jf.add(btn);
        }
    }

    ImagePad() throws Exception {
        setTitle("图片相似度判别");
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(1540, 900);
        setLocationRelativeTo(null);
        setLayout(new FlowLayout());
        addButton(this, imageListener);
        setVisible(true);
        imageListener.setGraphics(this.getGraphics());
    }

    public static void main(String[] args) throws Exception {
        new ImagePad();
    }
}
