package cn.fw.dalaran.service;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/2/8 9:28
 * @Description 发送钉钉消息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder(toBuilder = true)
public class SendMessageBody {
    /**
     * 消息类型
     */
    private String msgType;
    /**
     * webhook
     */
    private String webhook;
    /**
     * 密钥
     */
    private String secret;
    /**
     * 消息文本
     */
    private String text;
    /**
     * 群内指定成员手机号
     */
    private List<String> mobileList;
    /**
     * 是否推送所有人
     */
    private boolean isAtAll;
}
